Skip to main content
group of people looking at a laptop screen

Action required - Security vulnerability for Apple devices

This information only applies to Apple devices.

Immediate action required: Please run all available updates on all Apple devices as soon as possible. All Yale ITS-managed computers running the Apple macOS operating system will be updated automatically. 

Read More

Stay Safe How-To Guides

We're here to help you stay safe so you can do what you do best - pursue your research, teach, or study.

How-to guides

We're here to help you stay safe so you can do what you do best—pursue your research, teach, or study. Our guides help you make sense of a variety of Information Security topics.

Guidelines

Need more details on how to meet Yale's policies and standards? We are here to help. Review this page for recommendations on how to meet Yale's security requirements.

View Guidelines